<?php 
include('nf_config.php');
include('menu_side.php');

if(isset($_REQUEST['submit']) and $_REQUEST['submit']!=""){
	extract($_REQUEST);
	if($code_center_group==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=un');
		exit;
	}elseif($desc_center_group==""){
		header('location:'.$_SERVER['PHP_SELF'].'?msg=ue');
		exit;
	}
	else{
		
		$userCount	=	$db->getQueryCount('centers_groups','cid');
		if($userCount[0]['total']<2000000){
			$data	=	array(
							'pid'=>$pid,
							'code_center_group'=>$code_center_group,
							'desc_center_group'=>$desc_center_group
						);
			$insert	=	$db->insert('centers_groups',$data);
			if($insert){
				header('location:nf_centersg.php?msg=ras&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
				exit;
			}else{
				header('location:nf_centersg.php?msg=rna&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
				exit;
			}
		}else{
			header('location:'.$_SERVER['PHP_SELF'].'?msg=dsd&pid='.$pid.'&xuid='.$xuid.'&lang='.$lang);
			exit;
		}
	 }
}
?>

<!doctype html>

<html lang="en-US" class="no-js">

<head>

	<meta charset="UTF-8">

	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title><?php echo $n_centers_groups ?></title>

	

    <link rel="stylesheet" href="./bootstrap/css/bootstrap.css" >
    <link rel="stylesheet" href="./fontawesome/css/all.css" >

	
	

</head>



<body>

	

  	<div class="container">


		<?php

		if(isset($_REQUEST['msg']) and $_REQUEST['msg']=="un"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ue"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="up"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $field_mand </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="ras"){

			echo	'<div class="alert alert-success"><i class="fa fa-thumbs-up"></i> $recadded </div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="rna"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> $recaddedno <strong> $tryagain </strong></div>';

		}elseif(isset($_REQUEST['msg']) and $_REQUEST['msg']=="dsd"){

			echo	'<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> Please delete a user and then try again <strong>We set limit for security reasons!</strong></div>';

		}

		?>

		<div class="card">

			<div class="card-header"><i class="fa fa-fw fa-plus-circle"></i> <strong><?php echo $nadd." ".$n_center_group;  ?></strong> <a href="nf_centersg.php?pid=<?php echo $pid ?>&xuid=<?php echo $xuid ?>&lang=<?php echo $lang ?>" class="float-end btn btn-dark btn-sm"><i class="fa fa-fw fa-globe"></i> <?php echo $nbrowse." ".$n_centers_groups;  ?></a></div>

			<div class="card-body">

				

				<div class="col-sm-6">

					<h6 class="card-title"><?php echo $nfields_with ?> <span class="text-danger">*</span> <?php echo $nmandatory ?></h6>

					<form method="post">

						<div class="mb-3">

							<label><?php echo $n_center_group ?><span class="text-danger">*</span></label>

							<input type="text" name="code_center_group" id="code_center_group" class="form-control" placeholder="<?php echo $nenter." ".$n_center_group ?>" required>

						</div>

						<div class="mb-3">

							<label><?php echo $ndesc ?><span class="text-danger">*</span></label>

							<input type="text" name="desc_center_group" id="desc_center_group" class="form-control" placeholder="<?php echo $nenter." ".$ndesc ?>" required>

						</div>
						
							<input type="hidden" id="pid"  name="pid"  value="<?php echo $pid ?>"  >
							<input type="hidden" id="xuid" name="xuid" value="<?php echo $xuid ?>" >
							<input type="hidden" id="lang" name="lang" value="<?php echo $lang ?>" >						

						
							<button type="submit" name="submit" value="submit" id="submit" class="btn btn-primary"><i class="fa fa-fw fa-plus-circle"></i><?php echo $nadd." ".$n_center_group ?></button>

						

					</form>

				</div>

			</div>

		</div>

	</div>




    <script src="./jquery-3.4.1.js"></script>
    <script src="popper.min.js" ></script>
    <script src="./bootstrap/js/bootstrap.min.js" ></script>    



    

</body>

</html>